List Snapshot Details

Gets the list of categories within the snapshots available in the environment and the actions that can be performed with the snapshot.

Required Roles

Service Administrator

REST Resource

GET /interop/rest/v2/migration/snapshots/list

Response

Parameter Description
status Status of the request (usually, 0 for success)
displayName The snapshot name as displayed on the Migration screen.
displayName (within appList array) The category name.
prodCode Short product code of the application or component in the snapshot.
deleteEnabled Whether the snapshot can be deleted.
importEnabled Whether the snapshot can be imported to create an application.
appId The identifier of the application in the snapshot.
projectName The project folder to which the application belongs.
repeatExportEnabled Whether the settings of this snapshot can be used to repeat the export operation.
renameEnabled Whether the snapshot can be renamed.
modifiedSinceEnabled Whether the modified by date checks are enabled for the snapshot.
downloadEnabled Whether the snapshot can be downloaded to a local computer.
size File size of the snapshot. "-" if unknown.
lastModifiedTime Time when the snapshot was last modified, in UNIX millisecond format.

Successful response body example:


{
    "status": 0,
    "items": [
        {
            "displayName": "Artifact_Snapshot",
            "appList": [
                {
                    "displayName": "CALC-Calculation Manager",
                    "prodCode": "CALC",
                    "importEnabled": true,
                    "appId": "Calculation Manager",
                    "projectName": "Foundation"
                },
                {
                    "displayName": "DOCREP-Document Repository",
                    "prodCode": "DOCREP",
                    "exploreEnabled": true,
                    "importEnabled": true,
                    "appId": "Document Repository",
                    "projectName": "Default Application Group"
                },
                {
                    "displayName": "FDMEE-FDM Enterprise Edition",
                    "prodCode": "AIF",
                    "exploreEnabled": true,
                    "importEnabled": true,
                    "appId": "FDM Enterprise Edition",
                    "projectName": "FDM"
                },
                {
                    "displayName": "HSS-Shared Services",
                    "prodCode": "HUB",
                    "exploreEnabled": true,
                    "importEnabled": true,
                    "appId": "Shared Services",
                    "projectName": "Foundation"
                }
            ],
            "deleteEnabled": true,
            "importEnabled": true,
            "repeatExportEnabled": true,
            "renameEnabled": true,
            "modifiedSinceEnabled": true,
            "downloadEnabled": true,
            "size": "50607081234",
            "lastModifiedTime": 1759868521281
        }
    "links": [
        {
            "href": "https://<BASE-URL>/interop/rest/v2/migration/snapshots/list",
            "action": "GET",
            "rel": "self"
        }
    ]
}

Response for failed operation:


{
    "status": 6,
    "details": "Unable to get list of snapshots",
    "items": null,
    "links": [
        {
            "href": "http://<BASE-URL>/interop/rest/v2/migration/snapshots/list",
            "action": "GET",
            "rel": "self"
        }
    ]
}